# Unit 1. Multifunctional Verbs: Be, Have, and Do

## Overview

This unit focuses on the use of multifunctional verbs in English. These verbs are able to express multiple meanings depending on their use in a sentence.

## Learning Objectives

By the end of this unit, you will be able to:

- Identify the different forms of the main multifunctional verb.
- Explain how these forms can be used interchangeably in sentences.
- Demonstrate the correct usage of the three forms of the multifunctional verb by providing sentences and examples.

## Vocabulary Review

| Term | Definition                                               |
| ---- | -------------------------------------------------------- |
| Be   | To express a present or ongoing state of being.          |
| Have | To express ownership or possession.                      |
| Do   | To express an action to be done, future action or habit. |

## Activities

### Activity 1: Identify the Different Forms of the Main Multifunctional Verb

- Read through each sentence and identify if the verb is used in its present tense (is), past tense (was/were), or future tense (will, would).
- Discuss how this usage can vary depending on context.
- Write down sentences that use different forms to illustrate your points.

1. **Sentence 1**: "The cat is sleeping."

   - Present tense: The cat is sleeping.
   - Past tense: The cat slept.
   - Future tense: The cat will sleep.

2. **Sentence 2**: "I have a dog at home."

   - Present tense: I have a dog.
   - Past tense: I had a dog.
   - Future tense: I will have a dog.

3. **Sentence 3**: "We are going on a hike tomorrow."

   - Present tense: We are going on a hike.
   - Past tense: We went on a hike.
   - Future tense: We will go on a hike.

4. **Sentence 4**: "He has been studying all day."

   - Present tense: He is studying.
   - Past tense: He studied.
   - Future tense: He will study.

5. **Sentence 5**: "We are going to buy some groceries later today."
   - Present tense: We are going to buy some groceries.
   - Past tense: We bought some groceries.
   - Future tense: We will buy some groceries.

### Activity 2: Explain How These Forms Can Be Used Interchangeably in Sentences

- Read through a sentence and identify the present, past, and future tense uses.
- In pairs, explain why these forms are used interchangeably.
- Provide examples of sentences that demonstrate this usage.
- Highlight how the context changes the meaning.

### Activity 3: Correct Usage of the Three Forms of the Multifunctional Verb

- Read through a sentence and identify which form is being used.
- In pairs, discuss why these forms are used in certain situations.
- Provide sentences that demonstrate the correct usage of the three forms.
